Retrieve a single User

Retrieve a single user by id.

Token scopes: Users:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequired

The unique identifier (OID) of the HRIS profile to retrieve.

Response

Successful response
metaobject
nameobject
emailslist of objects
schemaslist of enums
Allowed values:
userNamestring
phoneNumberslist of objects
idstringOptional
titlestringOptional
activebooleanOptionalDefaults to false
userTypestringOptional
addresseslist of objectsOptional
urn:ietf:params:scim:schemas:extension:2.0:UserobjectOptional
urn:ietf:params:scim:schemas:extension:enterprise:2.0:UserobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error